---
# main tasks file for the npm role

- name: Add/Remove global npm packages
  npm:
    name: "{{ item.name }}"
    global: yes
    state: "{{ 'absent' if uninstall | default(false) | bool else ('latest' if item.version is not defined or item.version == 'latest' else 'present') }}"
    version: "{{ '' if item.version is defined and item.version == 'latest' else item.version | default('') }}"
  loop: "{{ npm_packages }}"
  tags:
    - npm
    - npm_packages

- name: Configure ~/.npmrc profiles
  blockinfile:
    path: "{{ ansible_env.HOME }}/.npmrc"
    block: |
      {{ item.scope }}:registry=https://{{ item.registry}}
      {%- if item.token is defined %}
      
      //{{ item.registry}}:_authToken={{ item.token }}
      {%- endif -%}
    marker: "# {mark} ANSIBLE MANAGED BLOCK FOR {{ item.scope }}"
    create: yes
    mode: '0600'
  loop: "{{ npmrc_profiles }}"
  tags:
    - npm
    - npm_npmrc
